Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_TSS_Type_Adapter Class Template Reference

Adapter that allows built-in types to be used with ACE_TSS. More...

`#include <Synch_T.h>`

Collaboration diagram for ACE_TSS_Type_Adapter:

[legend]
List of all members.

## Public Methods
| ACE_TSS_Type_Adapter (const TYPE value=0)
| Constructor. Inlined here so that it should _always_ be inlined. More...
| operator TYPE () const
| TYPE conversion. Inlined here so that it should _always_ be inlined. More...
| operator TYPE & ()
| TYPE & conversion. Inlined here so that it should _always_ be inlined. More...
## Private Attributes
TYPE | value_
| The wrapped value. More...

## Detailed Description

### template<class TYPE>
class ACE_TSS_Type_Adapter< TYPE >

Adapter that allows built-in types to be used with ACE_TSS.

Wraps a value of a built-in type, providing conversions to and from the type. Example use with ACE_TSS: ACE_TSS<ACE_TSS_Type_Adapter<int> > i; *i = 37; ACE_OS::fprintf (stderr, "d
", *i); Unfortunately, though, some compilers have trouble with the implicit type conversions. This seems to work better: ACE_TSS<ACE_TSS_Type_Adapter<int> > i; i->operator int &() = 37; ACE_OS::fprintf (stderr, "d
", i->operator int());

## Constructor & Destructor Documentation

template<class TYPE>
ACE_TSS_Type_Adapter< TYPE >::ACE_TSS_Type_Adapter | ( | const TYPE | value = 0 | ) | `[inline]`

| Constructor. Inlined here so that it should _always_ be inlined.

## Member Function Documentation

template<class TYPE>
ACE_TSS_Type_Adapter< TYPE >::operator TYPE | ( |  | ) | const`[inline]`

| TYPE conversion. Inlined here so that it should _always_ be inlined.

template<class TYPE>
ACE_TSS_Type_Adapter< TYPE >::operator TYPE & | ( |  | ) | `[inline]`

| TYPE & conversion. Inlined here so that it should _always_ be inlined.

## Member Data Documentation

template<class TYPE>
TYPE ACE_TSS_Type_Adapter::value_`[private]`

| The wrapped value.

The documentation for this class was generated from the following file:

- Synch_T.h